Package csb :: Package bio :: Package hmm :: Class Transition

[frames] | no frames]

# Class Transition

source code

    object --+
             |
            Transition

Describes a Hidden Markov Model transition between two states.

Instance Methods

__init__(self, predecessor, successor, probability) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
State | predecessor Transition source state
float | probability Transition score
State | successor Transition target state
TransitionType | type Struct, containing information about the source and target state types
Inherited from `object`: `__class__`

Method Details

### __init__(self, predecessor, successor, probability)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `predecessor` (State) - source state
  - `successor` (State) - target state
  - `probability` (float) - transition score
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

Property Details

### predecessor

Transition source state

Get Method:
  unreachable.predecessor(self) - Transition source state
Type:
  State

### probability

Transition score

Get Method:
  unreachable.probability(self) - Transition score
Set Method:
  unreachable.probability(self, value)
Type:
  float

### successor

Transition target state

Get Method:
  unreachable.successor(self) - Transition target state
Type:
  State

### type

Struct, containing information about the source and target state types

Get Method:
  unreachable.type(self) - Struct, containing information about the source and target state types
Type:
  TransitionType